ASN1Boolean (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1

## Class ASN1Boolean

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Boolean

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ASN1Boolean
      extends ASN1Primitive

  Public facade of ASN.1 Boolean data.

  Use following to place a new instance of ASN.1 Boolean in your data:

  - ASN1Boolean.TRUE literal
  - ASN1Boolean.FALSE literal
  - `ASN1Boolean.getInstance(boolean)`
  - `ASN1Boolean.getInstance(int)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1Boolean` | `FALSE`
    `static ASN1Boolean` | `TRUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1Boolean` | `fromContents(byte contents)`
    `static ASN1Boolean` | `fromContents(byte[] contents)`
    `static ASN1Boolean` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return a Boolean from a tagged object.
    `static ASN1Boolean` | `getInstance(boolean value)` Return an ASN1Boolean from the passed in boolean.
    `static ASN1Boolean` | `getInstance(int value)` Return an ASN1Boolean from the passed in value.
    `static ASN1Boolean` | `getInstance(java.lang.Object obj)` Return a boolean from the passed in object.
    `static ASN1Boolean` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `int` | `hashCode()`
    `boolean` | `isFalse()`
    `boolean` | `isTrue()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FALSE

          public static final ASN1Boolean FALSE

    - #### TRUE

          public static final ASN1Boolean TRUE

  - ### Method Detail

    - #### fromContents

          public static ASN1Boolean fromContents(byte contents)

    - #### fromContents

          public static ASN1Boolean fromContents(byte[] contents)

    - #### getInstance

          public static ASN1Boolean getInstance(java.lang.Object obj)

      Return a boolean from the passed in object.
      Parameters:
        `obj` - an ASN1Boolean or an object that can be converted into one.
      Returns:
        an ASN1Boolean instance.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static ASN1Boolean getInstance(boolean value)

      Return an ASN1Boolean from the passed in boolean.
      Parameters:
        `value` - true or false depending on the ASN1Boolean wanted.
      Returns:
        an ASN1Boolean instance.

    - #### getInstance

          public static ASN1Boolean getInstance(int value)

      Return an ASN1Boolean from the passed in value.
      Parameters:
        `value` - non-zero (true) or zero (false) depending on the ASN1Boolean wanted.
      Returns:
        an ASN1Boolean instance.

    - #### getInstance

          public static ASN1Boolean getInstance(ASN1TaggedObject taggedObject,
                                                boolean declaredExplicit)

      Return a Boolean from a tagged object.
      Parameters:
        `taggedObject` - the tagged object holding the object we want
        `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        an ASN1Boolean instance.
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getTagged

          public static ASN1Boolean getTagged(ASN1TaggedObject taggedObject,
                                              boolean declaredExplicit)

    - #### isFalse

          public boolean isFalse()

    - #### isTrue

          public boolean isTrue()

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`